# $boolean

Casts a variable to a boolean

Usage

    $boolean(<data>)

Description

Forces <data> to be a boolean data type by first casting to integer (see $int()) and then comparing the result against zero. A zero integer will result in a false value while a non-zero one will result in a true value. This function is similar to the C++ (bool) cast and is internally aliased to $bool too. Note that since KVIrc does most of the casting work automatically you shouldn't need to use this function.

Syntax Specification

    <integer> $boolean(<data:variant>)

See also
$real $integer

Index, Functions

KVIrc 3.4.0 Documentation
Generated by linimon at Wed Dec 3 16:16:57 2008